%global __ver %%(echo %{version} | tr -d '.')

Summary:        Common Information Model (CIM) Schema
Name:           cim-schema
Url:            http://www.dmtf.org/
Version:        2.54.0
Release:        6%{?dist}
License:        DMTF
Source0:        http://www.dmtf.org/standards/cim/cim_schema_v%{__ver}/cim_schema_%{version}Experimental-MOFs.zip
Source1:        http://www.dmtf.org/standards/cim/cim_schema_v%{__ver}/cim_schema_%{version}Experimental-Doc.zip
Source2:        LICENSE

BuildArch:      noarch

%description
Common Information Model (CIM) is a model for describing overall management information in a network
or enterprise environment. CIM consists of a specification and a schema. The specification defines
the details for integration with other management models. The schema provides the actual model
descriptions.

%prep
%setup -q -T -a 1 -c -n %{name}-docs
%setup -q -T -a 0 -c -n %{name}-%{version}

for i in `find . -name "*.mof"`; do
  sed -i -e 's/\r//g' $i
done

%build

%install
rm -rf %{buildroot}
MOFDIR=%{_datadir}/mof
CIMDIR=$MOFDIR/cimv%{version}
install -d %{buildroot}/$CIMDIR
chmod -R go-wx .
chmod -R a+rX .
mv * %{buildroot}/$CIMDIR/
ln -s cimv%{version} %{buildroot}/$MOFDIR/cim-current
ln -s cim_schema_%{version}.mof %{buildroot}/$MOFDIR/cim-current/CIM_Schema.mof

install -Dp %{SOURCE2} %{buildroot}%{_pkgdocdir}/LICENSE

cp -r ../%{name}-docs .

%files
%license %{_docdir}/%{name}/LICENSE
%doc %{name}-docs/*
%dir %{_datarootdir}/mof
%dir %{_datarootdir}/mof/cimv%{version}
%{_datarootdir}/mof/cimv%{version}/*
%{_datarootdir}/mof/cim-current

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 2.54.0-1
- initial build

